# Ogre::BillboardParticleRendererFactory Class Reference

Factory class for BillboardParticleRenderer. More...

`#include <OgreBillboardParticleRenderer.h>`

Inheritance diagram for Ogre::BillboardParticleRendererFactory:
[legend]

List of all members.

## Public Member Functions

const String & | getType () const

Returns the factory type.

Returns:
  The factory type.

ParticleSystemRenderer * | createInstance (const String &name)

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

void | destroyInstance (ParticleSystemRenderer *inst)

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

virtual void | destroyInstance (T *)=0
| Destroys an object which was created by this factory.

## Detailed Description

Factory class for BillboardParticleRenderer.

Definition at line 236 of file OgreBillboardParticleRenderer.h.

## Member Function Documentation

const String& Ogre::BillboardParticleRendererFactory::getType | ( |  | ) | const`[virtual]`

Returns the factory type.

Returns:
  The factory type.

Implements Ogre::FactoryObj< T >.

ParticleSystemRenderer* Ogre::BillboardParticleRendererFactory::createInstance | ( | const String & | name | ) | `[virtual]`

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< T >.

void Ogre::BillboardParticleRendererFactory::destroyInstance | ( | ParticleSystemRenderer * | inst | ) |

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

template<typename T>

virtual void Ogre::FactoryObj< T >::destroyInstance | ( | T * |  | ) | `[pure virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

The documentation for this class was generated from the following file:

- OgreBillboardParticleRenderer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:19 2008